<template>
  <div>
    <!-- <q-resize-observer @resize="onResize" ref="resize" /> -->
    <Network
      v-if="networkdata"
      :nodes="networkdata.nodes"
      :edges="networkdata.edges"
      :options="networkdata.options"
      ref="network"
    ></Network>
  </div>
</template>

<script>
import { Network } from "vue-visjs";

export default {
  props: ["networkdata"],
  components: { Network },
  // mounted() {
  //   this.$refs.resize.trigger();
  // },
  // methods: {
  //   onResize(size) {
  //     console.log(size);
  //     // if (this.$refs.network)
  //     this.$refs.network.setSize(size.width, size.height);
  //   },
  // },
};
</script>

<style>
.network {
  width: 90%;
}
</style>
